unit Frame.QR.Scan;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes,
  FMX.Memo.Types, FMX.ScrollBox, FMX.Memo, FMX.Controls.Presentation,
  FMX.TMSFNCWXCamera, FMX.TMSFNCCustomControl, FMX.TMSFNCWebBrowser,
  FMX.TMSFNCCustomWEBControl, FMX.TMSFNCCustomWEBComponent,
  FMX.TMSFNCWXBarcodeDecoder, FMX.TMSFNCWXQRDecoder;

type
  TfrQRScan = class(TFrame)
    TMSFNCWXQRDecoder1: TTMSFNCWXQRDecoder;
    TMSFNCWXCamera1: TTMSFNCWXCamera;
    decodeCamBtn: TButton;
    decodeImgBtn: TButton;
    Memo1: TMemo;
    procedure decodeCamBtnClick(Sender: TObject);
    procedure TMSFNCWXQRDecoder1Decoded(Sender: TObject; AFound: Boolean;
      AResult: string);
  private
    FCamDecode: Boolean;
  public
    { Public-Deklarationen }
  end;

implementation

{$R *.fmx}

procedure TfrQRScan.decodeCamBtnClick(Sender: TObject);
begin
  if not FCamDecode then
  begin
    decodeCamBtn.Text := 'Stop camera';
    TMSFNCWXCamera1.Start;
    FCamDecode := True;
    decodeImgBtn.Enabled :=False;
  end
  else
  begin
    decodeCamBtn.Text := 'Decode from camera';
    TMSFNCWXCamera1.Stop;
    FCamDecode := False;
    decodeImgBtn.Enabled :=True;
  end;
end;

procedure TfrQRScan.TMSFNCWXQRDecoder1Decoded(Sender: TObject; AFound: Boolean;
  AResult: string);
begin
  Memo1.Text := AResult;
  if AFound and FCamDecode then
  begin
    TMSFNCWXCamera1.Stop;
    decodeImgBtn.Enabled :=true;
    FCamDecode := False;
    decodeCamBtn.Text := 'Decode from camera';
  end;
end;

end.
